#pragma once

#include "abstractstudent.h"

#include <vector>

class Class : public AbstractStudent
{
	public:
		Class(std::string name);
		~Class();
		void addStudent(AbstractStudent* student);
		void removeStudent(AbstractStudent* student);
		virtual bool hasCSN();
		void grantCSN();
		void revokeCSN();
	private:
		std::string name;
		std::vector<AbstractStudent*> students;
};
